{% extends 'base.html' %}

{% block title %}todo_list.html{% endblock %}

{% block extra-style %}
<style>
    body {
        text-align: center;
        background-color: #ddd;
    }
    .inputBox {
        margin: auto;
        width: 70%;
        background: white;
        height: 50px;
        border-radius: 50px;
        line-height: 50px;
    }
    .inputBox .name {
        border-style: none;
        border-bottom: 1px solid #ddd;
        width: 70px;
        padding-left: 20px;
    }
    .inputBox .item {
        border-style: none;
        border-bottom: 1px solid #ddd;
        width: 400px;
        margin-left: 50px;
        padding-left: 20px;
    }
    .todoList {
        list-style: none;
        padding: 10px 0;
        text-align: left;
    }
    .todoList li {
        display: flex;
        height: 50px;
        line-height: 50px;
        margin: 0.5rem 0;
        padding: 0 0.9rem;
        background: white;
        border-radius: 5px;
    }
    .removeBtn {
        margin-left: auto;
        font-size: 20px;
    }
</style>
{% endblock %}

{% block content %}
<div id="app">
    <h1>ToDo</h1>
    <strong>오늘의 할 일</strong>
    <br>
    <ul class="todoList">
        {% for todo in object_list %}
        <li>
            <span>{{ todo.name }}:: {{ todo.todo }}</span>
            <button class="removeBtn"><a href="{% url 'todo:delete' todo.id %}">&#x00D7</a></button>
        </li>
        {% endfor %}
    </ul>
</div>
{% endblock %}